<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:37:19 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ReverseJobAndTransactionalDropStrategy (org.eclipse.papyrus.designer.languages.java.reverse.ui 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ReverseJobAndTransactionalDropStrategy (org.eclipse.papyrus.designer.languages.java.reverse.ui 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":42};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ReverseJobAndTransactionalDropStrategy.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html" target="_top">Frames</a></li>
<li><a href="ReverseJobAndTransactionalDropStrategy.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionalDropStrategy">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionalDropStrategy">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd</div>
<h2 title="Class ReverseJobAndTransactionalDropStrategy" class="title">Class ReverseJobAndTransactionalDropStrategy</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.AbstractDropStrategy</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.TransactionalDropStrategy</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionalDropStrategy</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.ReverseJobAndTransactionalDropStrategy</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.DropStrategy</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ReverseJobAndTransactionalDropStrategy</span>
extends <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionalDropStrategy</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>dumoulin</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionalDropStrategy">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionalDropStrategy</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.JobForIJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionalDropStrategy.JobForIJobAndTransactionForDrop</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionalDropStrategy">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionalDropStrategy</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html#PLUGIN_ID">PLUGIN_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html#ReverseJobAndTransactionalDropStrategy--">ReverseJobAndTransactionalDropStrategy</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html#createJobAndTransactionForDrop--">createJobAndTransactionForDrop</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html#getDescription--">getDescription</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html#getID--">getID</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.swt.graphics.Image</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html#getImage--">getImage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html#getLabel--">getLabel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html#getPriority--">getPriority</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;&nbsp;</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionalDropStrategy">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionalDropStrategy</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html#doGetCommand-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">doGetCommand</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html#getCommand-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">getCommand</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.TransactionalDropStrategy">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.TransactionalDropStrategy</h3>
<code>getEditingDomain, getTransactionalEditingDomain, isTransactional</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.AbstractDropStrategy">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.AbstractDropStrategy</h3>
<code>getDropObjectsRequest, getSourceEObjects, getSourceObjects, getTargetSemanticElement, getTargetView</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.DropStrategy">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.infra.gmfdiag.dnd.strategy.DropStrategy</h3>
<code>eraseTargetFeedback, showTargetFeedback</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ReverseJobAndTransactionalDropStrategy--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ReverseJobAndTransactionalDropStrategy</h4>
<pre>public&nbsp;ReverseJobAndTransactionalDropStrategy()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLabel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLabel</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getLabel()</pre>
</li>
</ul>
<a name="getDescription--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDescription()</pre>
</li>
</ul>
<a name="getImage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImage</h4>
<pre>public&nbsp;org.eclipse.swt.graphics.Image&nbsp;getImage()</pre>
</li>
</ul>
<a name="getID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getID</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getID()</pre>
</li>
</ul>
<a name="getPriority--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPriority</h4>
<pre>public&nbsp;int&nbsp;getPriority()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>DropStrategy.getPriority()</code></dd>
</dl>
</li>
</ul>
<a name="createJobAndTransactionForDrop--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createJobAndTransactionForDrop</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">IJobAndTransactionForDrop</a>&nbsp;createJobAndTransactionForDrop()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html#createJobAndTransactionForDrop--">createJobAndTransactionForDrop</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionalDropStrategy</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html#createJobAndTransactionForDrop--"><code>AbstractJobAndTransactionalDropStrategy.createJobAndTransactionForDrop()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ReverseJobAndTransactionalDropStrategy.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionalDropStrategy.html" target="_top">Frames</a></li>
<li><a href="ReverseJobAndTransactionalDropStrategy.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionalDropStrategy">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd.AbstractJobAndTransactionalDropStrategy">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
